Page MenuHomePhabricator

Instrument replying workflow (v1.0)
Closed, ResolvedPublic

Description

In order to better understand how contributors engage with the new replying feature and decide whether any adjustments need to be made to it, we need to instrument each step of the workflow.

This task is about implementing the instrumentation that will enable us to track the events defined in the measurement plan. [1]

Instrumentation spec

The instrumentation spec can be found here (limited access): Talk pages/Replying/Instrumentation spec

Done

  • The events listed in the "Instrumentation spec" have been implemented

Event Timeline

ppelberg created this task.Jan 22 2020, 1:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2020, 1:19 AM
JTannerWMF edited projects, added OWC2020 (OWC2020 Replying 1.0); removed OWC2020.
JTannerWMF triaged this task as High priority.Feb 5 2020, 6:46 PM
JTannerWMF added a subscriber: JTannerWMF.

We are waiting for the implementation of T243363. Afterwards this will become high priority.

ppelberg updated the task description. (Show Details)Feb 6 2020, 3:50 PM

We are waiting for the implementation of T243363. Afterwards this will become high priority.

After talking with @Mayakp.wiki yesterday about the conversations she and @DLynch have been, it's become clear work on this ticket can start before the new schema for tracking DiscussionTools-related events has been implemented (T243363).

Said in another way: all of the events we are needing to track in v1.0 can be logged in EditAttemptStep and do not need to be logged in a new schema.

Next steps
Once instrumentation for v1.0 has been implemented, we will need to:

  • Determine what additional actions/features will be introduced in v1.1 and v2.0 that will require instrumentation
  • Depending on what instrumentation is required, we will need to implement the new schema we will have designed in T243363
marcella assigned this task to DLynch.Feb 10 2020, 2:30 PM

Change 573638 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/DiscussionTools@master] Instrumentation

https://gerrit.wikimedia.org/r/573638

Change 573638 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Instrumentation

https://gerrit.wikimedia.org/r/573638

JTannerWMF updated the task description. (Show Details)Feb 25 2020, 6:11 PM
ppelberg closed this task as Resolved.Feb 26 2020, 3:31 AM